# Soubory · API DameDokladu

> Operace ve skupině Soubory.

Source: https://damedoklad.cz/docs/api-reference/files/

# Soubory

Operace ve skupině Soubory.

## Detail: soubor

GET `/v1/files/{id}`

Get the details of a stored file: type, size, and content hash

Nástroj MCP: `get-file`

### Parametry v cestě

`id` string povinné

### Odpověď · 200

`id` string povinné

`path` string povinné

`contentHash` string povinné

`contentType` string povinné

`byteSize` integer povinné

```bash
curl https://api.damedoklad.cz/v1/files/fil_2n9F4kT7wQ1xYz0aBcDeFgHiJkL \
  -H "Authorization: Bearer $DAMEDOKLAD_API_KEY"
```

```javascript
const response = await fetch('https://api.damedoklad.cz/v1/files/fil_2n9F4kT7wQ1xYz0aBcDeFgHiJkL', {
  headers: {
    Authorization: `Bearer ${process.env.DAMEDOKLAD_API_KEY}`,
  },
});
const data = await response.json();
```

```python
import os
import requests

response = requests.get(
    "https://api.damedoklad.cz/v1/files/fil_2n9F4kT7wQ1xYz0aBcDeFgHiJkL",
    headers={"Authorization": f"Bearer {os.environ['DAMEDOKLAD_API_KEY']}"},
)
data = response.json()
```
